# Copyright 2022-2024 NXP

# SPDX-License-Identifier: BSD-3-Clause

# -- Special case script. Should be used then board connection parameters used,
# -- but board initialization not required or not possible (under Linux)
# -- thus 'board_init()' is empty

import sys
import os
import gdb

CURRENT_DIR = "".join([os.path.dirname(os.path.realpath(__file__)), "/"])
sys.path.insert(0, CURRENT_DIR)
sys.path.insert(0, CURRENT_DIR + "/utils")
sys.path.insert(0, CURRENT_DIR + "/riscv_disassembler")

from rv_disassembler import RiscVDisassembler

def register():
    gdb.disassembler.register_disassembler(RiscVDisassembler())
